SQ-KEY-ADOPT(1)

NAME
sq-key-adopt - Binds keys from one certificate to another

This command allows one to transfer primary keys and subkeys into an existing certificate. Say you want to transition to a new certificate, but have an authentication subkey on your current certificate. You want to keep the authentication subkey because it allows access to SSH servers and updating their configuration is not feasible.

SYNOPSIS
sq key adopt [FLAGS] [OPTIONS] [TARGET-KEY]

FLAGS

-h, --help
    Prints help information

--allow-broken-crypto
    Allows adopting keys from certificates using broken cryptography

-B, --binary
    Emits binary data

OPTIONS

-r, --keyring KEY-RING
    Supplies keys for use in --key.

-k, --key KEY
    Adds the key or subkey KEY to the TARGET-KEY

-o, --output FILE
    Writes to FILE or stdout if omitted

ARGS

TARGET-KEY
    Adds keys to TARGET-KEY

EXAMPLES

# Adopt an subkey into the new cert
    $ sq key adopt --keyring juliet-old.pgp --key 0123456789ABCDEF -- juliet-new.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-key-adopt(1), sq-key-attest-certifications(1), sq-key-extract-cert(1), sq-key-generate(1), sq-keyring(1), sq-keyring-filter(1), sq-keyring-join(1), sq-keyring-list(1), sq-keyring-merge(1), sq-keyring-split(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>